curl --request GET \
--url https://api.linqalpha.com/v2/conversations/{conversation_id}/references \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.linqalpha.com/v2/conversations/{conversation_id}/references"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.linqalpha.com/v2/conversations/{conversation_id}/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"payload": {
"references": [
{
"id": "9162ee3d-e71e-4f2d-81a7-9981ecb06597",
"citation_idx": 1,
"search_type": "rms",
"chunk_id": "7601005986849213491",
"text": "Through our Apple Manufacturing Academy in Detroit, we're already training American businesses and innovators on the latest smart manufacturing and artificial intelligence techniques. Six months since opening, the academy is already making an enormously positive impact...",
"text_type": "paragraph",
"document_id": "ed6ed077-949c-46ec-b036-d01fafc9bb84",
"document_name": "Apple, Inc., Q1 2026 Earnings Call, 29-January-2026 5",
"s3_file_key": null,
"external_url": "",
"metadata": {
"rms_type": null,
"rms_sub_type": null,
"rms_document_type": "earnings_call",
"source": null,
"countries": null,
"regions": null,
"participants": null,
"tags": null,
"publisher": null,
"calendar_date": null,
"fiscal_year": null,
"fiscal_quarter": null,
"document_category": "earnings_call",
"document_subcategory": null,
"sector": null,
"subsector": null,
"stock_ids": [
"BBG001S5N8V8"
],
"tickers": [
"AAPL"
],
"company_names": null,
"offset": null,
"snippet": null
}
},
{
"id": "05cc6e75-674c-4263-9427-a2113d06a51c",
"citation_idx": 2,
"search_type": "rms",
"chunk_id": "7575071132181705859",
"text": "Our revenue of $102.5 billion was up 8% year-over-year and is a new September quarter record. We set September quarter records in the Americas, Europe, Japan and the rest of Asia Pacific, and grew in the vast majority of markets we track...",
"text_type": "paragraph",
"document_id": "c893ee34-fb85-491d-b667-0be2be515418",
"document_name": "Apple, Inc., Q4 2025 Earnings Call, 30-October-2025 5",
"s3_file_key": null,
"external_url": "",
"metadata": {
"rms_type": null,
"rms_sub_type": null,
"rms_document_type": "earnings_call",
"source": null,
"countries": null,
"regions": null,
"participants": null,
"tags": null,
"publisher": null,
"calendar_date": null,
"fiscal_year": null,
"fiscal_quarter": null,
"document_category": "earnings_call",
"document_subcategory": null,
"sector": null,
"subsector": null,
"stock_ids": [
"BBG001S5N8V8"
],
"tickers": [
"AAPL"
],
"company_names": null,
"offset": null,
"snippet": null
}
}
]
}
}{
"error": {
"code": "INVALID_REQUEST_BODY",
"msg": "conversation_id must be a valid UUID",
"message": "conversation_id must be a valid UUID"
},
"payload": null
}{
"error": {
"code": "API_KEY_MISSING",
"msg": "header does not contain api key",
"message": "header does not contain api key"
},
"payload": null
}References (v2)
Retrieves the list of evidence references (citations) used in a conversation.
The Analytics SSE endpoint streams the generated answer but does not include references in the response. Use this endpoint after the stream completes to fetch the full list of references that were cited in the answer.
Usage Flow:
- Call the Analytics SSE endpoint (
POST /v1/analytics/sse) - From the SSE stream, find the
conversationevent → extractconversation_id - After the stream finishes, call this endpoint with the
conversation_id - The response contains all references with citation index, source document info, and metadata
How to view original documents:
- Via Viewer:
https://chat.linqalpha.com/rms/viewer?conversation_id={conversation_id}&citation_idx={citation_idx}
Authorizations
Path Parameters
Conversation ID (UUID). Provided in the conversation SSE event.
Query Parameters
Organization ID. Required for platform API keys to identify the target organization.
User ID. Required together with user_email for platform API keys to identify the specific user who owns the conversation.
User email. Required together with user_id for platform API keys to identify the specific user who owns the conversation.
Response
References response
List of references associated with the conversation
Show child attributes
Show child attributes
Was this page helpful?